Returns the server port for the command

- « MongoDB\Driver\Monitoring\CommandFailedEvent::getOperationId

- MongoDB\Driver\Monitoring\CommandFailedEvent::getReply »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandFailedEvent
- Returns the server port for the command

# MongoDB\Driver\Monitoring\CommandFailedEvent::getPort

(mongodb >=1.20.0)

MongoDB\Driver\Monitoring\CommandFailedEvent::getPort — Returns the server port for the command

### Description

final public MongoDB\Driver\Monitoring\CommandFailedEvent::getPort(): int

### Parameters

This function has no parameters.

### Return Values

Returns the port of the server on which the command was executed.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.